#pragma once
#include <Engine/types/Scene.h>
#include <JGL/types/RenderTarget.h>

class LoadingScreen final : public Engine::Scene {
protected:
    float elapsed = 0.0f;
    float angle = 0.0f;
    JGL::Texture* RedactedSoftware = nullptr;
public:
    explicit LoadingScreen(const std::string& name) : Scene(name) {}

    void Init() final;
    void Update() final;
    void Render(JGL::RenderTarget* render_target =  nullptr) final;
    ~LoadingScreen() final;
};
